/***************************************************************************
                          kwhoisconfigadd.h  -  description
                             -------------------
    begin                : Mon Aug 27 2001
    copyright            : (C) 2001 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KWHOISCONFIGADD_H
#define KWHOISCONFIGADD_H

#include <qwidget.h>
#include <KWhoisConfigAddUi.h>
#include <qlineedit.h>

/**
  *@author Stephan Hermann
  */

class KWhoisConfigAdd : public KWhoisConfigAddUI  {
   Q_OBJECT
public: 
	KWhoisConfigAdd(QWidget *parent=0, const char *name=0,QString descr=NULL,QString whoisServer=NULL);
	~KWhoisConfigAdd();
  /** No descriptions */
  const QString & getWhoisServer();
  /** No descriptions */
  const QString & getDescription();
private: // Private attributes
  /**  */
  QString description;
  /**  */
  QString whoisServer;
};

#endif
