#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kwhoisripeinverseui.ui'
**
** Created: Tue Nov 20 10:30:20 2001
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#include "kwhoisripeinverseui.h"

#include <qcheckbox.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qvariant.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/* 
 *  Constructs a KWhoisRIPEInverseUI which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
KWhoisRIPEInverseUI::KWhoisRIPEInverseUI( QWidget* parent,  const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "KWhoisRIPEInverseUI" );
    resize( 392, 263 ); 
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)3, sizePolicy().hasHeightForWidth() ) );
    setCaption( i18n( "KWhois RIPE Inverse Query" ) );
    QToolTip::add(  this, i18n( "Returns all route and aut-num objects whose \"cross-mnt:\" attributes matches the query argument." ) );
    KWhoisRIPEInverseUILayout = new QGridLayout( this ); 
    KWhoisRIPEInverseUILayout->setSpacing( 6 );
    KWhoisRIPEInverseUILayout->setMargin( 11 );

    Layout8 = new QHBoxLayout; 
    Layout8->setSpacing( 6 );
    Layout8->setMargin( 0 );

    TextLabel1 = new QLabel( this, "TextLabel1" );
    TextLabel1->setText( i18n( "&Search:" ) );
    Layout8->addWidget( TextLabel1 );

    entryWhatToSearch = new QLineEdit( this, "entryWhatToSearch" );
    Layout8->addWidget( entryWhatToSearch );

    KWhoisRIPEInverseUILayout->addMultiCellLayout( Layout8, 3, 3, 0, 1 );

    btnCancel = new QPushButton( this, "btnCancel" );
    btnCancel->setText( i18n( "&Cancel" ) );
    btnCancel->setAutoResize( TRUE );

    KWhoisRIPEInverseUILayout->addWidget( btnCancel, 2, 1 );

    btnHelp = new QPushButton( this, "btnHelp" );
    btnHelp->setEnabled( FALSE );
    btnHelp->setText( i18n( "&Help" ) );
    btnHelp->setAutoResize( TRUE );

    KWhoisRIPEInverseUILayout->addWidget( btnHelp, 1, 1 );

    btnOk = new QPushButton( this, "btnOk" );
    btnOk->setText( i18n( "&Ok" ) );
    btnOk->setAutoResize( TRUE );

    KWhoisRIPEInverseUILayout->addWidget( btnOk, 0, 1 );

    GroupBox1 = new QGroupBox( this, "GroupBox1" );
    GroupBox1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)1, GroupBox1->sizePolicy().hasHeightForWidth() ) );
    GroupBox1->setTitle( i18n( "&Attribute to query" ) );

    QWidget* privateLayoutWidget = new QWidget( GroupBox1, "Layout5" );
    privateLayoutWidget->setGeometry( QRect( 10, 20, 264, 171 ) ); 
    Layout5 = new QGridLayout( privateLayoutWidget ); 
    Layout5->setSpacing( 6 );
    Layout5->setMargin( 0 );

    checkAttrOrigin = new QCheckBox( privateLayoutWidget, "checkAttrOrigin" );
    checkAttrOrigin->setText( i18n( "ori&gin" ) );
    QToolTip::add(  checkAttrOrigin, i18n( "Returns all route objects whose \"origin:\" attribute matches the query argument." ) );

    Layout5->addWidget( checkAttrOrigin, 6, 1 );

    checkAttrNserver = new QCheckBox( privateLayoutWidget, "checkAttrNserver" );
    checkAttrNserver->setText( i18n( "n&server" ) );
    QToolTip::add(  checkAttrNserver, i18n( "Returns all domain objects whose \"nserver:\" attribute matches the query argument." ) );

    Layout5->addWidget( checkAttrNserver, 5, 1 );

    checkAttrNotify = new QCheckBox( privateLayoutWidget, "checkAttrNotify" );
    checkAttrNotify->setText( i18n( "not&ify" ) );
    QToolTip::add(  checkAttrNotify, i18n( "Returns all objects whose \"notify:\" attribute matches the query argument." ) );

    Layout5->addWidget( checkAttrNotify, 4, 1 );

    checkAttrMntRoutes = new QCheckBox( privateLayoutWidget, "checkAttrMntRoutes" );
    checkAttrMntRoutes->setText( i18n( "mnt-&routes" ) );
    QToolTip::add(  checkAttrMntRoutes, i18n( "Returns all aut-num, inetnum and route objects whose \"mnt-routes:\" attribute matches the query argument." ) );

    Layout5->addWidget( checkAttrMntRoutes, 3, 1 );

    checkAttrLocalAS = new QCheckBox( privateLayoutWidget, "checkAttrLocalAS" );
    checkAttrLocalAS->setText( i18n( "&local-as" ) );
    QToolTip::add(  checkAttrLocalAS, i18n( "Returns all inet-rtr objects whose \"local-as:\" attribute matches the query argument." ) );

    Layout5->addWidget( checkAttrLocalAS, 4, 0 );

    checkAttrCrossNfy = new QCheckBox( privateLayoutWidget, "checkAttrCrossNfy" );
    checkAttrCrossNfy->setText( i18n( "cross-nf&y" ) );
    QToolTip::add(  checkAttrCrossNfy, i18n( "Returns all route and aut-num objects whose \"cross-nfy:\" attribute matches the query argument." ) );

    Layout5->addWidget( checkAttrCrossNfy, 3, 0 );

    checkAttrMntNfy = new QCheckBox( privateLayoutWidget, "checkAttrMntNfy" );
    checkAttrMntNfy->setText( i18n( "mnt-n&fy" ) );
    QToolTip::add(  checkAttrMntNfy, i18n( "Returns all mntner objects whose \"mnt-nfy:\" attribute matches the query argument." ) );

    Layout5->addWidget( checkAttrMntNfy, 2, 1 );

    checkAttrCrossMnt = new QCheckBox( privateLayoutWidget, "checkAttrCrossMnt" );
    checkAttrCrossMnt->setText( i18n( "c&ross-mnt" ) );

    Layout5->addWidget( checkAttrCrossMnt, 2, 0 );

    checkAttrMntLower = new QCheckBox( privateLayoutWidget, "checkAttrMntLower" );
    checkAttrMntLower->setText( i18n( "mn&t-lower" ) );
    QToolTip::add(  checkAttrMntLower, i18n( "Returns all objects whose \"mnt-lower:\" attribute matches the query argument. " ) );

    Layout5->addWidget( checkAttrMntLower, 1, 1 );

    checkAttrMntBy = new QCheckBox( privateLayoutWidget, "checkAttrMntBy" );
    checkAttrMntBy->setText( i18n( "m&nt-by" ) );
    QToolTip::add(  checkAttrMntBy, i18n( "Returns all objects whose \"mnt-by:\" attribute matches the query argument." ) );

    Layout5->addWidget( checkAttrMntBy, 0, 1 );

    checkAttrAuthorC = new QCheckBox( privateLayoutWidget, "checkAttrAuthorC" );
    checkAttrAuthorC->setText( i18n( "a&uthor" ) );
    QToolTip::add(  checkAttrAuthorC, i18n( "Returns all limerick objects whose \"author-c:\" attribute matches the query argument." ) );

    Layout5->addWidget( checkAttrAuthorC, 1, 0 );

    checkAttrZoneC = new QCheckBox( privateLayoutWidget, "checkAttrZoneC" );
    checkAttrZoneC->setText( i18n( "&zone-c" ) );
    QToolTip::add(  checkAttrZoneC, i18n( "Returns all objects whose \"zone-c:\" attribute matches the query argument." ) );

    Layout5->addWidget( checkAttrZoneC, 5, 2 );

    checkAttrUpdTo = new QCheckBox( privateLayoutWidget, "checkAttrUpdTo" );
    checkAttrUpdTo->setText( i18n( "&upd-to" ) );
    QToolTip::add(  checkAttrUpdTo, i18n( "Returns all mntner objects whose \"upd-to:\" attribute matches the query argument." ) );

    Layout5->addWidget( checkAttrUpdTo, 4, 2 );

    checkAttrTechC = new QCheckBox( privateLayoutWidget, "checkAttrTechC" );
    checkAttrTechC->setText( i18n( "&tech-c" ) );
    QToolTip::add(  checkAttrTechC, i18n( "Returns all objects whose \"tech-c:\" attribute matches the query argument." ) );

    Layout5->addWidget( checkAttrTechC, 3, 2 );

    checkAttrSubDom = new QCheckBox( privateLayoutWidget, "checkAttrSubDom" );
    checkAttrSubDom->setText( i18n( "s&ub-dom" ) );
    QToolTip::add(  checkAttrSubDom, i18n( "Returns all domain objects whose \"sub-dom:\" attribute matches the query argument." ) );

    Layout5->addWidget( checkAttrSubDom, 2, 2 );

    checkAttrRevSrv = new QCheckBox( privateLayoutWidget, "checkAttrRevSrv" );
    checkAttrRevSrv->setText( i18n( "re&v-srv" ) );
    QToolTip::add(  checkAttrRevSrv, i18n( "Returns all inetnum and inet6num objects whose \"rev-srv:\" attribute matches the query argument." ) );

    Layout5->addWidget( checkAttrRevSrv, 1, 2 );

    checkAttrReferralBy = new QCheckBox( privateLayoutWidget, "checkAttrReferralBy" );
    checkAttrReferralBy->setText( i18n( "referral-&by" ) );
    QToolTip::add(  checkAttrReferralBy, i18n( "Returns all mntner objects whose \"referral-by:\" attribute matches the query argument." ) );

    Layout5->addWidget( checkAttrReferralBy, 0, 2 );

    checkAttrMemberOf = new QCheckBox( privateLayoutWidget, "checkAttrMemberOf" );
    checkAttrMemberOf->setText( i18n( "mem&ber-of" ) );
    QToolTip::add(  checkAttrMemberOf, i18n( "Returns all objects whose \"member-of:\" attribute matches the query argument and their membership claim is validated by the \"mbrs-by-ref:\" attribute of the set. Absence of the \"mbrs-by-ref:\" attribute means that the membership is only defined by the \"members:\" attribute of the set." ) );

    Layout5->addWidget( checkAttrMemberOf, 6, 0 );

    checkAttrMbrsByRef = new QCheckBox( privateLayoutWidget, "checkAttrMbrsByRef" );
    checkAttrMbrsByRef->setText( i18n( "&mbrs-by-ref" ) );
    QToolTip::add(  checkAttrMbrsByRef, i18n( "Returns all set objects (as-set, route-set and rtr-set) whose \"mbrs-by-ref:\" attribute matches the query argument. " ) );

    Layout5->addWidget( checkAttrMbrsByRef, 5, 0 );

    checkAttrAdminC = new QCheckBox( privateLayoutWidget, "checkAttrAdminC" );
    checkAttrAdminC->setText( i18n( "admin-c" ) );
    QToolTip::add(  checkAttrAdminC, i18n( "Returns all objects whose \"admin-c:\" attributes match the query argument. " ) );

    Layout5->addWidget( checkAttrAdminC, 0, 0 );

    KWhoisRIPEInverseUILayout->addMultiCellWidget( GroupBox1, 0, 2, 0, 0 );

    // signals and slots connections
    connect( btnOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( btnCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
    connect( btnHelp, SIGNAL( clicked() ), this, SLOT( slotBtnHelp() ) );
    connect( checkAttrAdminC, SIGNAL( toggled(bool) ), this, SLOT( slotCheckGroup(bool) ) );
    connect( checkAttrAuthorC, SIGNAL( toggled(bool) ), this, SLOT( slotCheckGroup(bool) ) );
    connect( checkAttrTechC, SIGNAL( toggled(bool) ), this, SLOT( slotCheckGroup(bool) ) );
    connect( checkAttrZoneC, SIGNAL( toggled(bool) ), this, SLOT( slotCheckGroup(bool) ) );
    connect( checkAttrCrossMnt, SIGNAL( toggled(bool) ), this, SLOT( slotCheckGroup(bool) ) );
    connect( checkAttrCrossNfy, SIGNAL( toggled(bool) ), this, SLOT( slotCheckGroup(bool) ) );
    connect( checkAttrCrossNfy, SIGNAL( toggled(bool) ), this, SLOT( slotCheckGroup(bool) ) );
    connect( checkAttrLocalAS, SIGNAL( toggled(bool) ), this, SLOT( slotCheckGroup(bool) ) );
    connect( checkAttrMbrsByRef, SIGNAL( toggled(bool) ), this, SLOT( slotCheckGroup(bool) ) );
    connect( checkAttrMemberOf, SIGNAL( toggled(bool) ), this, SLOT( slotCheckGroup(bool) ) );
    connect( checkAttrMntBy, SIGNAL( toggled(bool) ), this, SLOT( slotCheckGroup(bool) ) );
    connect( checkAttrMntLower, SIGNAL( toggled(bool) ), this, SLOT( slotCheckGroup(bool) ) );
    connect( checkAttrMntNfy, SIGNAL( toggled(bool) ), this, SLOT( slotCheckGroup(bool) ) );
    connect( checkAttrMntRoutes, SIGNAL( toggled(bool) ), this, SLOT( slotCheckGroup(bool) ) );
    connect( checkAttrMntRoutes, SIGNAL( toggled(bool) ), this, SLOT( slotCheckGroup(bool) ) );
    connect( checkAttrNotify, SIGNAL( toggled(bool) ), this, SLOT( slotCheckGroup(bool) ) );
    connect( checkAttrNserver, SIGNAL( toggled(bool) ), this, SLOT( slotCheckGroup(bool) ) );
    connect( checkAttrOrigin, SIGNAL( toggled(bool) ), this, SLOT( slotCheckGroup(bool) ) );
    connect( checkAttrReferralBy, SIGNAL( toggled(bool) ), this, SLOT( slotCheckGroup(bool) ) );
    connect( checkAttrRevSrv, SIGNAL( toggled(bool) ), this, SLOT( slotCheckGroup(bool) ) );
    connect( checkAttrSubDom, SIGNAL( toggled(bool) ), this, SLOT( slotCheckGroup(bool) ) );

    // tab order
    setTabOrder( checkAttrAdminC, checkAttrAuthorC );
    setTabOrder( checkAttrAuthorC, checkAttrCrossMnt );
    setTabOrder( checkAttrCrossMnt, checkAttrCrossNfy );
    setTabOrder( checkAttrCrossNfy, checkAttrLocalAS );
    setTabOrder( checkAttrLocalAS, checkAttrMbrsByRef );
    setTabOrder( checkAttrMbrsByRef, checkAttrMemberOf );
    setTabOrder( checkAttrMemberOf, checkAttrMntBy );
    setTabOrder( checkAttrMntBy, checkAttrMntLower );
    setTabOrder( checkAttrMntLower, checkAttrMntNfy );
    setTabOrder( checkAttrMntNfy, checkAttrMntRoutes );
    setTabOrder( checkAttrMntRoutes, checkAttrNotify );
    setTabOrder( checkAttrNotify, checkAttrNserver );
    setTabOrder( checkAttrNserver, checkAttrOrigin );
    setTabOrder( checkAttrOrigin, checkAttrReferralBy );
    setTabOrder( checkAttrReferralBy, checkAttrRevSrv );
    setTabOrder( checkAttrRevSrv, checkAttrSubDom );
    setTabOrder( checkAttrSubDom, checkAttrTechC );
    setTabOrder( checkAttrTechC, checkAttrUpdTo );
    setTabOrder( checkAttrUpdTo, checkAttrZoneC );
    setTabOrder( checkAttrZoneC, entryWhatToSearch );
    setTabOrder( entryWhatToSearch, btnOk );
    setTabOrder( btnOk, btnHelp );
    setTabOrder( btnHelp, btnCancel );

    // buddies
    TextLabel1->setBuddy( entryWhatToSearch );
}

/*  
 *  Destroys the object and frees any allocated resources
 */
KWhoisRIPEInverseUI::~KWhoisRIPEInverseUI()
{
    // no need to delete child widgets, Qt does it all for us
}

void KWhoisRIPEInverseUI::slotCheckGroup(bool)
{
    qWarning( "KWhoisRIPEInverseUI::slotCheckGroup(bool): Not implemented yet!" );
}

void KWhoisRIPEInverseUI::slotBtnHelp()
{
    qWarning( "KWhoisRIPEInverseUI::slotBtnHelp(): Not implemented yet!" );
}

#include "kwhoisripeinverseui.moc"
