#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kwhoisui.ui'
**
** Created: Tue Nov 20 10:30:20 2001
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#include "kwhoisui.h"

#include <qcombobox.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qmultilineedit.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qvariant.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/* 
 *  Constructs a KWhoisUI which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 */
KWhoisUI::KWhoisUI( QWidget* parent,  const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KWhoisUI" );
    resize( 472, 321 ); 
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)3, sizePolicy().hasHeightForWidth() ) );
    setMinimumSize( QSize( 0, 0 ) );
    setCaption( i18n( "KWhois" ) );
    setAutoMask( TRUE );
    KWhoisUILayout = new QGridLayout( this ); 
    KWhoisUILayout->setSpacing( 6 );
    KWhoisUILayout->setMargin( 11 );
    QSpacerItem* spacer = new QSpacerItem( 20, 41, QSizePolicy::Minimum, QSizePolicy::Fixed );
    KWhoisUILayout->addItem( spacer, 0, 1 );

    TextLabel2 = new QLabel( this, "TextLabel2" );
    TextLabel2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, TextLabel2->sizePolicy().hasHeightForWidth() ) );
    TextLabel2->setMinimumSize( QSize( 75, 16 ) );
    TextLabel2->setText( i18n( "&Result" ) );
    TextLabel2->setAlignment( int( QLabel::AlignTop | QLabel::AlignLeft ) );

    KWhoisUILayout->addWidget( TextLabel2, 2, 0 );

    mentryResult = new QMultiLineEdit( this, "mentryResult" );
    mentryResult->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)3, mentryResult->sizePolicy().hasHeightForWidth() ) );
    mentryResult->setMinimumSize( QSize( 0, 0 ) );
    mentryResult->setAutoMask( FALSE );
    mentryResult->setReadOnly( TRUE );

    KWhoisUILayout->addMultiCellWidget( mentryResult, 3, 3, 0, 1 );

    Layout4 = new QGridLayout; 
    Layout4->setSpacing( 6 );
    Layout4->setMargin( 0 );

    TextLabel1 = new QLabel( this, "TextLabel1" );
    TextLabel1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, TextLabel1->sizePolicy().hasHeightForWidth() ) );
    TextLabel1->setMinimumSize( QSize( 75, 16 ) );
    TextLabel1->setLineWidth( 0 );
    TextLabel1->setText( i18n( "&Whois Server" ) );
    TextLabel1->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignLeft ) );

    Layout4->addWidget( TextLabel1, 0, 0 );

    entrySearch = new QLineEdit( this, "entrySearch" );
    entrySearch->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, entrySearch->sizePolicy().hasHeightForWidth() ) );
    entrySearch->setMinimumSize( QSize( 340, 22 ) );

    Layout4->addWidget( entrySearch, 1, 1 );

    comboWhois = new QComboBox( FALSE, this, "comboWhois" );
    comboWhois->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, comboWhois->sizePolicy().hasHeightForWidth() ) );
    comboWhois->setMinimumSize( QSize( 340, 22 ) );
    comboWhois->setAutoMask( TRUE );
    comboWhois->setAutoResize( FALSE );

    Layout4->addWidget( comboWhois, 0, 1 );

    TextLabel1_2 = new QLabel( this, "TextLabel1_2" );
    TextLabel1_2->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, TextLabel1_2->sizePolicy().hasHeightForWidth() ) );
    TextLabel1_2->setMinimumSize( QSize( 75, 16 ) );
    TextLabel1_2->setLineWidth( 0 );
    TextLabel1_2->setText( i18n( "&Search for:" ) );
    TextLabel1_2->setAlignment( int( QLabel::AlignTop | QLabel::AlignLeft ) );

    Layout4->addWidget( TextLabel1_2, 1, 0 );

    KWhoisUILayout->addMultiCellLayout( Layout4, 1, 1, 0, 1 );

    // signals and slots connections
    connect( entrySearch, SIGNAL( returnPressed() ), this, SLOT( slotSearchReturn() ) );
    connect( comboWhois, SIGNAL( activated(int) ), this, SLOT( slotServerActivated(int) ) );

    // tab order
    setTabOrder( comboWhois, entrySearch );
    setTabOrder( entrySearch, mentryResult );

    // buddies
    TextLabel2->setBuddy( mentryResult );
    TextLabel1->setBuddy( comboWhois );
    TextLabel1_2->setBuddy( entrySearch );
}

/*  
 *  Destroys the object and frees any allocated resources
 */
KWhoisUI::~KWhoisUI()
{
    // no need to delete child widgets, Qt does it all for us
}

void KWhoisUI::slotTextChanged()
{
    qWarning( "KWhoisUI::slotTextChanged(): Not implemented yet!" );
}

void KWhoisUI::slotBtnClose()
{
    qWarning( "KWhoisUI::slotBtnClose(): Not implemented yet!" );
}

void KWhoisUI::slotConfig()
{
    qWarning( "KWhoisUI::slotConfig(): Not implemented yet!" );
}

void KWhoisUI::slotSearchReturn()
{
    qWarning( "KWhoisUI::slotSearchReturn(): Not implemented yet!" );
}

void KWhoisUI::slotServerActivated(int)
{
    qWarning( "KWhoisUI::slotServerActivated(int): Not implemented yet!" );
}

#include "kwhoisui.moc"
