/***************************************************************************
                          kwhoisconfig.h  -  description
                             -------------------
    begin                : Mon Aug 27 2001
    copyright            : (C) 2001 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KWHOISCONFIG_H
#define KWHOISCONFIG_H

#include <qwidget.h>
#include <kwhoisconfigui.h>
#include <qstringlist.h>
#include <qlistview.h>
#include <qasciidict.h>
#include <kwhoisconfigadd.h>


/**
  *@author Stephan Hermann
  */

class KWhoisConfig : public KWhoisConfigUI  {
   Q_OBJECT
public: 
	KWhoisConfig(QWidget *parent=0, const char *name=0,QAsciiDict<QString> dict=NULL);
	~KWhoisConfig();
  /** No descriptions */
  const QAsciiDict<QString> & getServerDict();
  /** No descriptions */
//Del von KDevelop:
private slots: // Private slots
  /** No descriptions */
  virtual void accept();
private: // Private attributes
  /**  */
  QAsciiDict<QString> dictServer;
protected slots: // Protected slots
  /** No descriptions */
  virtual void slotAdd();
protected slots: // Protected slots
  /** No descriptions */
  virtual void slotDelete();
protected slots: // Protected slots
  /** No descriptions */
  virtual void slotModify();
protected slots: // Protected slots
  /** No descriptions */
  virtual void slotLviewDoubleClick(QListViewItem *item);
};

#endif
