/***************************************************************************
                          kwhoisconfig2.cpp  -  description
                             -------------------
    begin                : Tue Sep 4 2001
    copyright            : (C) 2001 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kwhoisconfig2.h"

KWhoisConfig2::KWhoisConfig2(QWidget *parent, const char *name,const char *whoisBinary) : KWhoisConfig2UI(parent,name,true) {
	setWhoisName(whoisBinary);
	btnHelp->setEnabled(false);
}




KWhoisConfig2::~KWhoisConfig2(){
}
/** No descriptions */
void KWhoisConfig2::setWhoisName(const QString &binary){
	whoisBinary=binary;
	entryWhoisBinary->setText(whoisBinary);
}

/** No descriptions */
const QString & KWhoisConfig2::getWhoisName(){
	whoisBinary=entryWhoisBinary->text();
	return whoisBinary;
}
/** No descriptions */
void KWhoisConfig2::slotBtnSearch(){
    QString binary;
	binary=KFileDialog::getOpenFileName( "","*|All Files",this,"Search Whois Binary");
	entryWhoisBinary->setText(binary);
}
/** No descriptions */
const int KWhoisConfig2::getWhoisType(){
	int type;
	type=comboWhoisType->currentItem();
	return type;
}
/** No descriptions */
void KWhoisConfig2::setWhoisType(const int type){
	comboWhoisType->setCurrentItem(type);
}
/** No descriptions */
void KWhoisConfig2::setEmailAddress(const QString &email){
	entryeMail->setText(email);
}/** No descriptions */
const QString & KWhoisConfig2::getEmail(){
	em=entryeMail->text();
	return em;
}
