/***************************************************************************
                          kwhoisconfig2.h  -  description
                             -------------------
    begin                : Tue Sep 4 2001
    copyright            : (C) 2001 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KWHOISCONFIG2_H
#define KWHOISCONFIG2_H

#include <qwidget.h>
#include <kwhoisconfig2ui.h>
#include <qlineedit.h>
#include <kfiledialog.h>
#include <qpushbutton.h>
#include <qcombobox.h>

/**
  *@author Stephan Hermann
  */

class KWhoisConfig2 : public KWhoisConfig2UI  {
   Q_OBJECT
public: 
	KWhoisConfig2(QWidget *parent=0, const char *name=0,const char *whoisBinary=0);
	~KWhoisConfig2();
  /** No descriptions */
  const QString & getWhoisName();
  /** No descriptions */
  void setWhoisName(const QString &binary);
  /** No descriptions */
  const int getWhoisType();
  /** No descriptions */
  void setWhoisType(const int type);
  /** No descriptions */
  const QString & getEmail();
  /** No descriptions */
  void setEmailAddress(const QString &email);
protected slots: // Protected slots
  /** No descriptions */
  virtual void slotBtnSearch();
private: // Private attributes
  /**  */
  QString whoisBinary;
  /**  */
  QString em;
};

#endif
