/***************************************************************************
                          kwhoisinternicnameserversearch.h  -  description
                             -------------------
    begin                : Sun Nov 18 2001
    copyright            : (C) 2001 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KWHOISINTERNICNAMESERVERSEARCH_H
#define KWHOISINTERNICNAMESERVERSEARCH_H

#include <qwidget.h>
#include <kwhoisinternicnameserversearchui.h>
#include <kprocess.h>
#include <stdlib.h>
#include <unistd.h>
#include <pwd.h>
#include <sys/types.h>
#include <stdio.h>
#include <qregexp.h>
#include <kregexp.h>
#include <qstringlist.h>
#include <qlineedit.h>


/**
  *@author Stephan Hermann
  */

class KWhoisInternicNameserverSearch : public KWhoisInternicNameserverSearchUI  {
   Q_OBJECT
public: 
	KWhoisInternicNameserverSearch(QWidget *parent=0, const char *name=0,const char *wB=0,int wT=0);
	~KWhoisInternicNameserverSearch();
private: // Private attributes
  /**  */
  KProcess * searchProc;
  /**  */
  QString output;
  /**  */
  QString whoisBinary;
  /**  */
  int whoisType;
private slots: // Private slots
  /** No descriptions */
  void receiveOutput(KProcess *,char *,int);
private slots: // Private slots
  /** No descriptions */
  void slotProcExit(KProcess *proc);
protected slots: // Protected slots
  /** No descriptions */
  virtual void slotBtnSearch();
private: // Private methods
  /** No descriptions */
  void parseOutput();
};

#endif
