/***************************************************************************
                          kwhoisinterreg.h  -  description
                             -------------------
    begin                : Thu Nov 15 2001
    copyright            : (C) 2001 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KWHOISINTERREG_H
#define KWHOISINTERREG_H

#include <qwidget.h>
#include <kwhoisinterregistrarUI.h>
#include <qlineedit.h>
#include <kprocess.h>
#include <stdlib.h>
#include <unistd.h>
#include <pwd.h>
#include <sys/types.h>
#include <stdio.h>
#include <qregexp.h>
#include <kregexp.h>
#include <qstringlist.h>
#include <qasciidict.h>
#include <qpopupmenu.h>
#include <qlistview.h>
#include <klocale.h>

/**
  *@author Stephan Hermann
  */

class KWhoisInterReg : public KWhoisInterRegistrarUI  {
   Q_OBJECT
public: 
	KWhoisInterReg(QWidget *parent=0, const char *name=0,const char *wB=0,int wT=0,QAsciiDict<QString> wD=0);
	~KWhoisInterReg();
  /** No descriptions */
  QAsciiDict<QString> getDict();
private: // Private attributes
  /**  */
  KProcess * searchProc;
  /**  */
  QString output;
  /**  */
  int whoisType;
  /**  */
  QString whoisBinary;
  /**  */
  QAsciiDict<QString> whoisDict;
  /**  */
  QPopupMenu * popUp;
protected slots: // Protected slots
  /** No descriptions */
  virtual void slotBtnSearch();
protected slots: // Protected slots
  /** No descriptions */
  virtual void receiveOutput(KProcess *,char *,int);
private: // Private methods
  /** No descriptions */
  void parseOutput();
private slots: // Private slots
  /** No descriptions */
  void slotProcExit(KProcess *proc);
protected slots: // Protected slots
  /** No descriptions */

protected slots: // Protected slots
  /** No descriptions */
  virtual void slotLViewRightBtn(QListViewItem *lviewitem,const QPoint &pt,int no);
};

#endif
