/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Mon Aug  6 14:32:06 CEST 2001
    copyright            : (C) 2001 by Stephan Hermann
    email                : sh@sourcecode.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "config.h"
#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>
#include <dcopclient.h>
#include "kwhois.h"


// #define VERSION "1.0.6-beta"
static const char *description =
	I18N_NOOP("KWhois is a KDE2 Client for the RedHat Whois Client.\nThe Whois Client was written by Nalin Dahyabhai <nalin@redhat.com>.\nVisit him at http://www4.ncsu.edu/~nsdahya1/");
		
	
static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

	KAboutData *aboutData=new KAboutData( "kwhois", I18N_NOOP("KWhois"),
	VERSION, description, KAboutData::License_GPL,
    "(c) 2001, Stephan Hermann", 0, 0, "sh@sourcecode.de");
  aboutData->addAuthor("Stephan Hermann","Author of KWhois", "sh@sourcecode.de");
  aboutData->addCredit("Joachim Raber","Tester SuSE system","jr@w4u.com");
  // aboutData->addCredit("Patrick Koppen",i18n("Tester Mandrake system"),"patrick@koppen.de");
  KCmdLineArgs::init( argc, argv, aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.

  	KApplication a;
  	
	  KWhois *kwhois = new KWhois();
	  a.setMainWidget(kwhois);
	  kwhois->show();
	  return a.exec();
}
